# std::filesystem::directory_entry::assign

From cppreference.com
< cpp‎ | filesystem‎ | directory entry

void assign( const std::filesystem::path& p ); |  | (since C++17)

Assigns new content to the directory entry object. Sets the path to `p`.

### Parameters

| This section is incomplete

### Return value

(none)

### Exceptions

| This section is incomplete

### Example

| This section is incomplete Reason: no example

### See also

operator= | assigns contents (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/directory_entry/assign&oldid=84979"
Categories:

- Todo without reason
- Todo no example